Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

nombre réponses : 25

#0 Re : -1 »  [Résolu] Pavé numérique ne marche que pour l'écran connexion » Le 15/05/2009, à 22:31

Jacques Le Roux
Réponses : 16

Oui bizarre ce truc par défaut roll, ça énerve pour rien sad

En tt cas merci pour le tip big_smile

#1 Re : -1 »  Logiciels manquant à l'appel pour une utilisation en entreprise » Le 07/06/2007, à 11:32

Jacques Le Roux
Réponses : 48

Au sujet de la différence ERP / CRM

Opentaps est un complément CRM et finances (rapports financiers) à Apache OFBiz qui n'est pas mentionné dans le liste ci-dessus.

Neogia est un version  modifiée d'OFBiz qui intègre en remplacement un module de comptabilité française, un gestion de stock avec inventaires "à la française" et une version modifiée du module manufacturing.

OFBiz est sous licence Apache 2 : totalement ouverte
Opentaps et Neogia sont sous licence GPL2 : un peu moins ouverte

#2 Re : -1 »  Tinapos logiciel Point de Vente, -en & -es...-fr? » Le 06/07/2007, à 14:42

Jacques Le Roux
Réponses : 68

Il n'y a pas que la bouffe dans la vie wink

#3 Re : -1 »  Tinapos logiciel Point de Vente, -en & -es...-fr? » Le 24/02/2009, à 10:37

Jacques Le Roux
Réponses : 68

Vous avez évalué le POS d'Apache OFBiz ?

Ma réponse, il y a 2 ans, à la remarque citée ci-dessus était  (page 1 du forum)

Jacques Le Roux a écrit :

OFBiz ne dépend en aucune façon d'une connexion ADSL. Il y a un mécanisme de synchronisation des bases de données qui se trouvent sur chacune des caisses avec la base de donnée centrale. Par défaut (paramétrable comme tout dans OFBiz) celle-ci émet (diffuse) catalogues, prix, promotions, etc. toutes les 2 heures vers les caisses. Celles ci remontent les ventes et paiements toutes les 5 minutes. Le mécanisme de synchronisation (asynchrone) est tolérant aux pannes et reprend chaque transaction non finalisée (paramétrable en temps) dans un sens ou un autre si nécessaire.

OFBiz un project TLP (Top Level Project) de la fondation Apache depuis 3 mois. Je suis le commiter du module POS : http://www.ofbiz.org/

Evidemment, ça fonctionne sans problème sur Ubuntu et ce depuis 2004... (nécessite JVM Sun 1.5 ou +)
La page spécifique au POS se trouve ici http://docs.ofbiz.org/display/OFBIZ/POS+System

#4 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 03/07/2008, à 22:13

Jacques Le Roux
Réponses : 67
Avicenne a écrit :
loyl a écrit :

Chez moi il ne fonctionne pas, après avoir demandé mon workspace, le splashscreen disparait et il me bloque sur une toute petite boite de dialogue sans aucun message, pas pratique pour découvrir où ça plante. J'ai tenté avec java-6-sun et java-6-openjdk.

j'ai aussi le même problème!

J'ai le même problème. Très étrange, car de plus en utilisant JConsole on voit que tout va bien du coté Java (vraiment tout tenté de ce coté là). Ce pourrait il que ce soit du coté de Gnome ? Qu'Eclipse nous dise quelque chose, mais que comme on ne voit rien : bloqué. Même en appuyant sur Entrée ou en cliquant comme un maboul partout sur la boîte de dialogue de la mort. Grrr...

Bien sûr Eclipse ne créé rien dans le répertoire du Workspace, qui reste vide de chez vide, donc on est sacrément mal : aucun indice sad

Quelqu'un de savant aurait ne serait ce qu'un début d'idée ?

#5 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 03/07/2008, à 22:27

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

peut etre aucun rapport mais avez vous un dossier eclipse dans
/home/user/.firefox/

Non, mais j'avais un résidu d'Eclipse 3.2.2 (.Eclipse) que j'avais essayé en désespoir de cause puis désinstaller (pourquoi ce résidu de config reste là : mystère). Je l'ai viré (corbeille) : même chose. Bon, ben ne crois que je vais encore rester scotché sur XP pour le coup hmm

#6 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 03/07/2008, à 22:32

Jacques Le Roux
Réponses : 67
Jacques Le Roux a écrit :
angel2005 a écrit :

peut etre aucun rapport mais avez vous un dossier eclipse dans
/home/user/.firefox/

Non, mais j'avais un résidu d'Eclipse 3.2.2 (.Eclipse) que j'avais essayé en désespoir de cause puis désinstaller (pourquoi ce résidu de config reste là : mystère). Je l'ai viré (corbeille) : même chose. Bon, ben ne crois que je vais encore rester scotché sur XP pour le coup hmm

J'en avais un dans .Mozilla (qu'est ce que ça fout là ça ?), je l'ai viré, idem roll

#7 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 03/07/2008, à 22:37

Jacques Le Roux
Réponses : 67
Jacques Le Roux a écrit :
Jacques Le Roux a écrit :
angel2005 a écrit :

peut etre aucun rapport mais avez vous un dossier eclipse dans
/home/user/.firefox/

Non, mais j'avais un résidu d'Eclipse 3.2.2 (.Eclipse) que j'avais essayé en désespoir de cause puis désinstaller (pourquoi ce résidu de config reste là : mystère). Je l'ai viré (corbeille) : même chose. Bon, ben ne crois que je vais encore rester scotché sur XP pour le coup hmm

J'en avais un dans .Mozilla (qu'est ce que ça fout là ça ?), je l'ai viré, idem roll

Ha, marrant quoique : il est recréé à chaque nouvelle tentative, une piste ?

#8 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 03/07/2008, à 22:49

Jacques Le Roux
Réponses : 67
Jacques Le Roux a écrit :
Jacques Le Roux a écrit :
Jacques Le Roux a écrit :

Non, mais j'avais un résidu d'Eclipse 3.2.2 (.Eclipse) que j'avais essayé en désespoir de cause puis désinstaller (pourquoi ce résidu de config reste là : mystère). Je l'ai viré (corbeille) : même chose. Bon, ben ne crois que je vais encore rester scotché sur XP pour le coup hmm

J'en avais un dans .Mozilla (qu'est ce que ça fout là ça ?), je l'ai viré, idem roll

Ha, marrant quoique : il est recréé à chaque nouvelle tentative, une piste ?

j'ai trouvé ça https://bugs.eclipse.org/bugs/show_bug.cgi?id=206432 mais ça n'a pas l'air vraiment lié

#9 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 03/07/2008, à 22:50

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

dans .mozilla il en faut un sinon il y a un message d'erreur.
aussi quelle version de java avez vous?

Là je suis en
java version "1.6.0_06"
Java(TM) SE Runtime Environment (build 1.6.0_06-b02)
Java HotSpot(TM) Server VM (build 10.0-b22, mixed mode)

#10 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 03/07/2008, à 23:08

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

pour eclipse je n'ai jamais installer la version depots sous hardy, j'ai installer java en suivant ce lien
http://doc.ubuntu-fr.org/java
et choisi l'interprete avec cette ligne de commande.

sudo update-java-alternatives -s java-6-sun

il faut si on veux utiliser la derniere version il faut effacer le dossier cacher d'eclipse cree avec la version du depots, verifier que dans .mozilla il y ai un dossier eclipse (sinon message d'erreur).
c'est le meme souci quand j'etais sous gutsy.
peut etre que ca aidera

C'est mieux : j'ai une log. Je devrais m'en sortir maintenant, merci. C'est le résidu .Eclipse qui m'avait mis dedans. Enfin c'est pas encore gagné :
!ENTRY org.eclipse.ui.workbench 4 0 2008-06-29 23:04:05.090
!MESSAGE Widget disposed too early!
!STACK 0
java.lang.RuntimeException: Widget disposed too early!
    at org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisposed(WorkbenchPartReference.java:171)
[...snip...]

!ENTRY org.eclipse.osgi 4 0 2008-06-29 23:04:05.112
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: XPCOM error -2147467262
    at org.eclipse.swt.browser.Mozilla.error(Mozilla.java:1597)
[...snip...]

Mais bon à ce stade là en général je m'en sors, merci smile

#11 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 09:37

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

essai avec un

sudo apt-get remove eclipse --purge

ou encore avec

gksudo dpkg -P `dpkg -l | grep "^rc" | tr -s ' ' | cut -d ' ' -f 2`

J'ai essayé les 2 + un sudo apt-get autoremove : idem.
Je vais chercher du coté Eclipse avec les messages de la log...

Merci

#12 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 10:46

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

il y a peut etre des residu que tu peux enlever avec synaptic.
tu l'ouvre et tu va a "etat" et tu verra les residu de configuration.

Tout est propre; bon je regarde du coté Eclipse...

#13 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 10:52

Jacques Le Roux
Réponses : 67

OK, il restait seulement l'erreur
org.eclipse.swt.SWTError: XPCOM error -2147467262
L'explication est ici :  https://bugs.eclipse.org/bugs/show_bug.cgi?id=235020#c2

Je test...

#14 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 10:55

Jacques Le Roux
Réponses : 67
Jacques Le Roux a écrit :

OK, il restait seulement l'erreur
org.eclipse.swt.SWTError: XPCOM error -2147467262
L'explication est ici :  https://bugs.eclipse.org/bugs/show_bug.cgi?id=235020#c2

Je test...

Le fin du fin : https://bugs.eclipse.org/bugs/show_bug.cgi?id=234910#c15

Je continue...

#15 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 11:10

Jacques Le Roux
Réponses : 67
Jacques Le Roux a écrit :
Jacques Le Roux a écrit :

OK, il restait seulement l'erreur
org.eclipse.swt.SWTError: XPCOM error -2147467262
L'explication est ici :  https://bugs.eclipse.org/bugs/show_bug.cgi?id=235020#c2

Je test...

Le fin du fin : https://bugs.eclipse.org/bugs/show_bug.cgi?id=234910#c15

Je continue...

Bon manifestement on est dans la panade : le fin du fin est faux, en tout cas pour moi et jusqu'ici
Suggestions ?

#16 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 12:27

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

ce qui est bizare, sous hardy avec java de sun, mais sans avoir installer eclipse du depots, je n'ai pas ces erreurs.

fais une recherche avec eclipse sur tout le disque.

Hormis
/eclipse/eclispe3.4 (propre, l'original extrait depuis eclipse-java-ganymede-linux-gtk.tar.gz, j'ai aussi essayé eclipse-SDK-3.4-linux-gtk.tar.gz en virant tout à chaque fois)
/usr/local/lib/eclipse (vide)
/usr/share/app-install/desktop/eclipse.desktop
/usr/share/app-install/icons/eclipse.png
rien

J'ai testé en supprimant /usr/local/lib/eclipse (vide) et /usr/share/app-install/desktop/eclipse.desktop, évidemment rien de neuf...

#17 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 12:46

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

avec java et firefox as tu entrer cette comande pour le plugins sous hardy et firefox 3

sudo ln -s /usr/lib/jvm/java-6-sun-1.6.0.06/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/firefox-3.0/plugins/

Non pas encore, en revanche j'ai eu une réponse recu par mail après ma question sur Bugzilla

The versions you have listed are the versions from the release iso - these need to be updated using the update manager (or via synaptic using Mark for Update on firefox3/xulrunner19 packages). If this does not work, you may need to change your apt sources to ensure that the hardy-update repositories are listed.

Cheers,
Tim

Je vais voir de près ces  2 points

#18 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 13:01

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

commence par le plug in. ensuite verifi ton sources list si tu as les backports cocher et fait une mise a jour.

Zut, j'ai fait l'inverse, c'est grave Docteur smile ? (pas encore touché au plugin, màj en cours)
C'est quoi ce plugin ? j'ai :

ln: la cible `/usr/lib/firefox-3.0/plugins/' n'est pas un rpertoire: Aucun fichier ou dossier de ce type

#19 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 13:04

Jacques Le Roux
Réponses : 67

1h30 de mise à jour...

#20 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 14:21

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

tu as bien firefox 3?

oui, oui, plus qu'un 1/4 h...

#21 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 15:07

Jacques Le Roux
Réponses : 67

Tim avait raison. C'était simplement le dépot "Mise à jour recommandées (hardy-update)" dans l'onglet "Mise à jour" de Synaptic qui n'était pas coché. Surprenant, c'est pas fait d'origine ça ?

En tout cas merci Tim et angel2005 : https://bugs.eclipse.org/bugs/show_bug.cgi?id=234910#c17 big_smile

#22 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 15:27

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

heu il y a un depots non active d'origine logiquement c'est la backports, enfin maintenant c'est regler, tand mieux.

Donc si on ne fait rien on reste ad eternam avec Firefox 3b05 ? Pas sérieux wink Enfin c'est l'esprit Debian, je comprends (même si à mon avis il y a encore des incohérences à lever dans la "stratégie")

#23 Re : -1 »  Eclipse 3.4 (Ganymede) est sorti ! » Le 04/07/2008, à 18:00

Jacques Le Roux
Réponses : 67
angel2005 a écrit :

ben disons que pas forcement, je pense que pour firefox, c'etait justement parce que c'etait a la sortie de hardy une version beta, mais la je m'avance.
de mon cote seul le proposed est desactiver depuis l'installation de ubuntu, comme ca pas de souci avec des mises a jours en attente de validation sans que cela m'empeche d'avoir les autres.

OK merci, pour l'instant je laisse les backports désactivés (en fait j'ai un peu l'esprit Debian ;o)